Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

Unable to install - pkg error: - qbittorrent-nox :,lang/python3

NanoDrive

Newbie
Joined
Jul 21, 2020
Messages
2
Hi everyone,

Just a quick background, I'm new to FreeNAS and FreeBSD in general. Most familiar with Linux.

I'm receiving this error when installing the qBittorrent plugin for the first time:

Error: qbittorrent had a failure Exception: RuntimeError Message: pkg error: - qbittorrent-nox :,lang/python3 : Refusing to fetch artifact and run post_install.sh! Partial plugin destroyed

Any workarounds/solutions for this error? I tried searching the web, forums and the bug tracker to no avail.

Version: FreeNAS-11.3-U3.2

Hardware:
  • Gigabyte GA-B75M-D3H
  • Intel i5-4690 CPU @ 3.50GHz
  • 16GB DDR3 non-ECC RAM
  • Kingston DTSE9 G2 USB 3.0 16GB, 2x, DTSE9G2, mirrored vdev
  • Samsung 850 EVO 250GB, 1x, MZ-75E250B/AM, striped
  • WD Red 4TB, 4x, WD40EFRX, two mirrored vdevs
  • WD Red 3TB, 2x, WD40EFRX, mirrored vdev
  • Dell Perc H310 hardware RAID controller - IT mode
  • Intel PCIe Gigabit NIC EXPI9301CTBLK
Thanks!
 

Riz

Newbie
Joined
Jul 22, 2020
Messages
1
Hi Guys,

I'm having same issue here, I able to install all other plugins like Plex, Emby, Transmission etc., but its failing for qbittorrent, please resolve this asap or suggest some workaround.

Thanks!
Riz
 

evassieger

Newbie
Joined
Jul 22, 2020
Messages
3
I'll log it.

Version: FreeNAS-11.3-U4

middlewared.log
[2020/07/23 13:54:09] (ERROR) middlewared.job.run():361 - Job <bound method accepts.<locals>.wrap.<locals>.nf of <middlewared.plugins.jail.PluginService object at 0x82c293ad0>> failed
Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_plugin.py", line 344, in fetch_plugin
jaildir, conf, pkg, props, repo_dir
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_plugin.py", line 750, in __fetch_plugin_install_packages__
_callback=self.callback)
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 103, in logit
callback(content, exception)
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 76, in callback
raise callback_exception(message)
RuntimeError:
pkg error:
- qbittorrent-nox :,lang/python3 :

Refusing to fetch artifact and run post_install.sh!

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 349, in run
await self.future
File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 387, in __run_body
rv = await self.middleware.run_in_thread(self.method, *([self] + args))
File "/usr/local/lib/python3.7/site-packages/middlewared/utils/run_in_thread.py", line 10, in run_in_thread
return await self.loop.run_in_executor(self.run_in_thread_executor, functools.partial(method, *args, **kwargs))
File "/usr/local/lib/python3.7/site-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
result = self.fn(*self.args, **self.kwargs)
File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 965, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 297, in do_create
'branch': branch,
File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 1042, in fetch
plugin_obj.fetch_plugin(props, 0, accept)
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_plugin.py", line 359, in fetch_plugin
silent=self.silent)
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 103, in logit
callback(content, exception)
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 76, in callback
raise callback_exception(message)
RuntimeError: qb had a failure
Exception: RuntimeError Message:
pkg error:
- qbittorrent-nox :,lang/python3 :

Refusing to fetch artifact and run post_install.sh!
Partial plugin destroyed
 

seyo-iv

Newbie
Joined
Aug 8, 2017
Messages
3
I got this following error every time i try to install qbitorrent.

Error: qbittorrent had a failure Exception: RuntimeError Message: pkg error: - qbittorrent-nox :,lang/python3 : Refusing to fetch artifact and run post_install.sh! Partial plugin destroyed
 

mfletcher

Newbie
Joined
Jul 26, 2020
Messages
2
Confirming I have the same issue here - using FreeNAS-11.3-U4 and I get the same error when trying to install
 

indivision

Senior Member
Joined
Jan 4, 2013
Messages
347
Same issue here. Can't install qbittorrent plugin.

Also, something happened to a previously working install I had during updating. Perhaps an attempt to write this broken version to the location?
 

mfletcher

Newbie
Joined
Jul 26, 2020
Messages
2
I ended up just creating a base jail and installing qbittorrent-nox. That worked for me.
 

Jurgen Segaert

Senior Member
Joined
Jul 10, 2016
Messages
416
The qbittorrent-nox package is available in the "quarterly" packages for 11.x (default for jails) but seems to have disappeared in "latest" (default for the plugin).

 

indivision

Senior Member
Joined
Jan 4, 2013
Messages
347
I may end up doing the same. It's a little more maintenance though over time. So, would prefer to install through their system if it can be fixed relatively soon...?
 

Zzyzx

Newbie
Joined
Apr 16, 2020
Messages
3
Opened a bug for it. Right now it's marked as a fix for U5. Don't know if it'll be fixed before then, but the ticket is still being worked.
 

Jailer

Not strong, but bad
Joined
Sep 12, 2014
Messages
4,434

indivision

Senior Member
Joined
Jan 4, 2013
Messages
347
Actually, it's "pkg update && pkg upgrade" and how often do you spam this process to check for updates? It also is not a guarantee that this command doesn't break the application.

The plugin model tells you when an update is actually needed, requires one button push and in theory should be a set of files tested as working.
 

Jailer

Not strong, but bad
Joined
Sep 12, 2014
Messages
4,434
Actually, it's "pkg update && pkg upgrade"
pkg upgrade does the same thing with one command.

The plugin model tells you when an update is actually needed, requires one button push and in theory should be a set of files tested as working.
You do realize that the plugins are nothing more than a scripted install of a freebsd package right?

To each his own.......
 

Jailer

Not strong, but bad
Joined
Sep 12, 2014
Messages
4,434
The qbittorrent-nox package is available in the "quarterly" packages for 11.x (default for jails) but seems to have disappeared in "latest" (default for the plugin).

It's also listed as deprecated and is going to be removed on 12/31. :frown:

EDIT 10-10-2020: Ok I read the message incorrectly. The message said python 2.7 is deprecated and going to be removed not qbittorrent. Sorry for the confusion.
 
Last edited:

Jailer

Not strong, but bad
Joined
Sep 12, 2014
Messages
4,434
The port.
 
Top